%define antlr_version 2.7.5
%define glib2_version 2.8.3
%define glib_java_version 0.2.2
%define fontconfig_version 2.3.2
%define cairo_version 1.0.0
%define cairo_java_version 1.0.2
%define pango_version 1.10.0
%define gtk2_version 2.8.6
%define atk_version 1.9.1
%define libgtk_java_version 2.8.2
%define libglade_version 2.5.1
%define libglade_java_version 2.12.0
%define jg_common_version 0.1
%define libvte_java_version 0.11.11
%define jdom_version 1.0

%define frysk %{name}-%{version}
%define antlr antlr-%{antlr_version}
%define glib2 glib-%{glib2_version}
%define fontconfig fontconfig-%{fontconfig_version}
%define cairo cairo-%{cairo_version}
%define pango pango-%{pango_version}
%define gtk2 gtk+-%{gtk2_version}
%define cairo_java cairo-java-%{cairo_java_version}
%define glib_java glib-java-%{glib_java_version}
%define jg_common jg-common-%{jg_common_version}
%define atk atk-%{atk_version}
%define libglade libglade-%{libglade_version}
%define libgtk_java libgtk-java-%{libgtk_java_version}
%define libglade_java libglade-java-%{libglade_java_version}
%define libvte_java libvte-java-%{libvte_java_version}
%define jdom jdom-%{jdom_version}

#---- cairo/fontconfig/pango defines
%define freetype_version 2.1.5
#---- pango defines
%define pkgconfig_version 0.12
%define xft_version 1.9.1.020626.1517-1
#---- gtk2 defines
%define _unpackaged_files_terminate_build      1
%define _missing_doc_files_terminate_build     1
%define libpng_version 2:1.2.2-16

Summary:	Frysk execution analysis tool
Name:		frysk
Version:	0.0.1.2005.12.14.15.12
Release:	0.EL4.1
License:	GPL + EXPLICIT EXCEPTION
Group:		Development/System
URL:		http://sourceware.org/frysk

Source0:	ftp://sourceware.org/pub/%{name}/%{name}-%{version}.tar.bz2
Patch001:	frysk-disable-imports-tests.patch
Patch002:	frysk-head.patch
Patch003:	frysk-makefileam.patch
Source100:	http://www.antlr.org/download/%{antlr}.tar.gz
Patch101:	antlr.patch
Source200:	%{atk}.tar.bz2
Source300:	%{cairo}.tar.gz
Source400:	%{cairo_java}.tar.gz
Patch401:	cairo-java-pkg-dir.patch
Source500:	%{fontconfig}.tar.gz
Patch501:	fontconfig-2.3.2-defaultconfig.patch
Patch502:	fontconfig-2.1-fulldir.patch
Patch503:	fontconfig-2.3.2-only-parse-conf-files.patch
Source600:	%{glib2}.tar.gz
Source700:	%{glib_java}.tar.gz
Patch701:	glib-java-pkg-dir.patch
Patch702:	glib-java-macro.patch
Source800:	%{gtk2}.tar.gz
Patch802:	gtk+-2.4.1-lib64.patch
Patch803:	gtk+-2.8.6-mimecache.patch
Patch804:	gtk+-2.8.6-inputmethod.patch
Patch805:	gtk+-2.8.6-theme-fix.patch
Patch806:	gtk+-skip-glib-check.patch
Patch807:	gtk+-skip-pango-check.patch
Source900:	%{libgtk_java}.tar.gz
Patch901:	libgtk-java-TextMarkFactoryFix.patch
Patch902:	libgtk-java-pkg-dir.patch
Source1000:	%{jg_common}.tar.bz2
Patch1001:	jg-common-pkg-dir.patch
Patch1002:	jg-common-macro.patch
Source1100:	%{libglade}.tar.bz2
Patch1101:	libglade-atk-ver-1-8.patch
Source1200:	%{libglade_java}.tar.gz
Patch1201:	libglade-java-pkg-dir.patch
Source1300:	%{pango}.tar.bz2
Patch1301:	pango-1.2.5-lib64.patch
Patch1302:	pango-slighthint.patch
Patch1303:	pango-skip-cairo-check.patch
Source1400:	update-scripts.tar.gz
Patch1401:	frysk-gtk2-update-scripts.patch
Source1500:	%{libvte_java}.tar.gz
Patch1501:	libgnomeui-canvas-version-fix.patch
Patch1502:	libvte-java-pkg-dir.patch
Source1600:	%{jdom}.tar.gz
Patch1601:	jdom-files.patch
Patch1602:	jdom-compiler.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root


# frysk
BuildRequires: make
BuildRequires: transfig
BuildRequires: gcc4 gcc4-java gcc4-c++
BuildRequires: autoconf automake automake17
#---- glib2
BuildRequires: /sbin/ldconfig
#---- gtk2
BuildRequires: XFree86-devel
BuildRequires: gtk-doc
BuildRequires: libtiff-devel
BuildRequires: libjpeg-devel
#---- libglade
BuildRequires: libxml2 >= 2.4.10
#---- glib2
BuildRequires: gettext
#---- cairo
BuildRequires: pkgconfig
BuildRequires: xorg-x11-devel
BuildRequires: libpng-devel
BuildRequires: freetype-devel >= %{freetype_version}
#---- fontconfig
BuildRequires: expat-devel
BuildRequires: perl
BuildRequires: docbook-utils-pdf >= 0.6.14
BuildRequires: elinks >= 0.9.2
#---- pango
BuildRequires: libtool >= 1.4.2-10
BuildRequires: pkgconfig >= %{pkgconfig_version}
BuildRequires: freetype-devel >= %{freetype_version}
BuildRequires: xorg-x11-devel >= 4.2.99
BuildRequires: pkgconfig
#---- vte-java
BuildRequires: vte-devel libgnomeui-devel libgnomecanvas
Requires: vte

# Only build on i386 for now
ExclusiveArch: %{ix86}

%description
Frysk is an execution-analysis technology implemented using native Java and C++.
It is aimed at providing developers and sysadmins with the ability to both
examine and analyze running multi-host, multi-process, multi-threaded systems.
Frysk allows the monitoring of running processes and threads, of locking
primitives and will also expose deadlocks, gather data and debug any given
process in the system.


%prep

%define SRCDIR		$RPM_BUILD_DIR/%{frysk}

# -q: Quiet, a must have!
# -T: disable unpacking first TAR ball.
# -c: Create NAME-VERSION, and CD into there before unpacking.
# -aN: Unpack SourceN.
# -D: Do not delete.

%define frysk_srcdir %{SRCDIR}/%{frysk}
%setup -q -T -c -a0
pushd %{frysk_srcdir}
# %patch001 -p2 -b .disable-imports-tests
# %patch002 -p0 -b .head
%patch003 -p2 -b .makefileam
./autogen.sh
popd

%define antlr_srcdir %{SRCDIR}/%{antlr}
%setup -D -q -T -c -a100
pushd %{antlr_srcdir}
%patch101 -p2
popd

# UNPACK before any java packages, they need these macros/
%define jg_common_srcdir %{SRCDIR}/%{jg_common}
%setup -D -q -T -c -a1000
pushd %{jg_common_srcdir}
%patch1001 -p1 -b .pkg-src
%patch1002 -p1 -b .macro
# Not build.
popd

%define atk_srcdir %{SRCDIR}/%{atk}
%setup -D -q -T -c -a200

%define cairo_srcdir %{SRCDIR}/%{cairo}
%setup -D -q -T -c -a300

%define cairo_java_srcdir %{SRCDIR}/%{cairo_java}
%setup -D -q -T -c -a400
pushd %{cairo_java_srcdir}
%patch401 -p1 -b .pkg-dir
aclocal -I ../%{jg_common}/macros
autoconf
automake
popd

%define fontconfig_srcdir %{SRCDIR}/%{fontconfig}
%setup -D -q -T -c -a500
pushd %{fontconfig}
%patch501 -p1 -b .defaultconfig
%patch502 -p1 -b .fulldir
%patch503 -p1 -b .only-parse-conf-files
popd

%define glib2_srcdir %{SRCDIR}/%{glib2}
%setup -D -q -T -c -a600

%define glib_java_srcdir %{SRCDIR}/%{glib_java}
%setup -D -q -T -c -a700
pushd %{glib_java_srcdir}
%patch701 -p1 -b .pkg-dir
%patch702 -p1 -b .macro
aclocal -I macros 
autoconf
automake
popd

%define gtk2_srcdir %{SRCDIR}/%{gtk2}
%setup -D -q -T -c -a800
pushd %{gtk2_srcdir}
%patch802 -p1 -b .lib64
%patch803 -p1 -b .mimecache
%patch804 -p0 -b .inputmethod
%patch805 -p0
# %patch806 -p2 -b .skip-glib-check
%patch807 -p0 -b .skip-pango-check
libtoolize --force
# Patch5 modifies gdk-pixbuf/Makefile.am
aclocal-1.7 
automake-1.7
autoconf
popd
%setup -D -q -T -c -n %{gtk2_srcdir} -a1400
%patch1401 -p0

%define libgtk_java_srcdir %{SRCDIR}/%{libgtk_java}
%setup -D -q -T -c -a900
pushd %{libgtk_java_srcdir}
#%patch901 -p0
%patch902 -p1 -b .pkg-dir
aclocal -I ../%{jg_common}/macros
autoconf
automake
popd

%define libglade_srcdir %{SRCDIR}/%{libglade}
%setup -D -q -T -c -a1100
# pushd ${libglade_srcdir}
# libglade requires <<atk_relation_set_add_relation_by_type>> which is in 1.9.
# %patch1101 -p2 -b .atk-ver-1-8
# aclocal -I m4 -I macros
# autoconf
# popd

%define libglade_java_srcdir %{SRCDIR}/%{libglade_java}
%setup -D -q -T -c -a1200
pushd %{libglade_java_srcdir}
%patch1201 -p1 -b .pkg-dir
aclocal -I ../%{jg_common}/macros -I ../%{libgtk_java}/macros
autoconf
automake
popd

%define pango_srcdir %{SRCDIR}/%{pango}
%setup -D -q -T -c -a1300
pushd %{pango_srcdir}
%patch1301 -p1 -b .slighthint
%patch1302 -p1 -b .lib64
%patch1303 -p2 -b .skip-cairo-check
autoconf
automake-1.7
popd

%define libvte_java_srcdir %{SRCDIR}/%{libvte_java}
%setup -D -q -T -c -a1500
pushd %{libvte_java_srcdir}
%patch1501 -p0
%patch1502 -p1 -b .pkg-dir
aclocal -I ../%{jg_common}/macros -I ../%{libgtk_java}/macros
autoconf
automake
popd

%define jdom_srcdir %{SRCDIR}/%{jdom}
%setup -D -q -T -c -a1600
pushd %{jdom_srcdir}
%patch1601 -p0
%patch1602 -p1 -b .compiler
popd

# Finish in the frysk sub directory, so that build starts there.
%setup -D -q -T -c

%build

# In case the previous build failed
rm -rf $RPM_BUILD_ROOT
echo Move along, nothing to see.

%install

echo $RPM_BUILD_ROOT

# Hey, were's this script being run?
pwd

# Set configure options that will install into frysk special locations
# under /usr.  frysk-gtk is slightly different, it installs lib/ and
# include/ files into sub-directories so that they do not thwack the
# existing installed stuff.

%define __frysk_prefix		/usr
%define __frysk_bindir		%{__frysk_prefix}/bin
%define __frysk_datadir		%{__frysk_prefix}/share/frysk
%define __frysk_sysconfdir	/etc/frysk
%define __frysk_sharedstatedir	%{__frysk_prefix}/com/frysk
%define __frysk_localstatedir	%{__frysk_prefix}/var/frysk
%define __frysk_libdir		%{__frysk_prefix}/lib/frysk
%define __frysk_includedir	%{__frysk_prefix}/include/frysk

%define __frysk_configure --prefix=%{__frysk_prefix} --sysconfdir=%{__frysk_sysconfdir} --sharedstatedir=%{__frysk_sharedstatedir} --localstatedir=%{__frysk_localstatedir}

%define __frysk_libs_configure %{__frysk_configure} --libdir=%{__frysk_libdir} --includedir=%{__frysk_includedir} --datadir=%{__frysk_datadir} --program-prefix=frysk-

# export LD_LIBRARY_PATH and PKG_CONFIG_PATH

export PKG_CONFIG_PATH=$RPM_BUILD_ROOT/%{__frysk_libdir}/pkgconfig:%{_libdir}/pkgconfig
export LD_LIBRARY_PATH=$RPM_BUILD_ROOT/%{__frysk_libdir}

#----------------------------------------------------------------------

# Some build magic; CONFIGURE, BUILD, and INSTALL each check to see if
# they have previously already run and if they have, skip.  Makes
# install-short very efficient.

%define BUILDDIR	$RPM_BUILD_DIR/%{frysk}/build
%define DESTDIR		$RPM_BUILD_ROOT

%define destdir DESTDIR = %{DESTDIR}

# Force the GCC-4 version of all tools (don't want this being confused
# by optional rpms such as eclipse-ecj).  The absolute path is
# required as otherwize AC_PATH_PROG ignores the environment variable
# (AC_PATH_PROGS doesn't appear to suffer from this bug, sigh!

EXPORT ()
{
	echo export RPM_BUILD_ROOT=$RPM_BUILD_ROOT
	echo export RPM_BUILD_DIR=$RPM_BUILD_DIR
	echo export \'JAVAC=${JAVAC:-/usr/bin/gcj4 -C}\'
	echo export \'GCJ=${GCJ:-/usr/bin/gcj4}\'
	echo export \'GIJ=${GIJ:-/usr/bin/gij4}\'
	echo export \'JAR=${JAR:-/usr/bin/fastjar4}\'
	echo export \'GCJH=${GCJH:-/usr/bin/gcjh4}\'
	echo export \'GCJ_DBTOOL=${GCJ_DBTOOL:-/usr/bin/gcj-dbtool4}\'
	echo export \'GCC=${GCC:-/usr/bin/gcc4}\'
	echo export \'CC=${CC:-/usr/bin/gcc4}\'
	echo export \'CXX=${CXX:-/usr/bin/g++4}\'
	echo export \'JAVA=${JAVA:-/usr/bin/gij4}\'
	echo export \'JV_SCAN=${JV_SCAN:-/usr/bin/jv-scan4}\'
	echo export PKG_CONFIG_PATH=${PKG_CONFIG_PATH:-$RPM_BUILD_ROOT/%{__frysk_libdir}/pkgconfig:%{_libdir}/pkgconfig}
	echo export LD_LIBRARY_PATH=${LD_LIBRARY_PATH:-$RPM_BUILD_ROOT/%{__frysk_libdir}}
}


# REQUIRES <package> <dependencies>

REQUIRES ()
{
	local d=$1 ; shift
	CONFIG_P && return # if not configured skip
	for i in "$@" x ; do
		test $i = x && continue
		for j in CONFIGURED BUILT INSTALLED ; do
			if test ! -r %{BUILDDIR}/$i/$j -o %{BUILDDIR}/$i/$j -nt %{BUILDDIR}/$d/CONFIGURED ; then
				rm -f %{BUILDDIR}/$d/CONFIGURED
				return
			fi
		done
	done
}

CONFIG_P ()
{
	test ! -r %{BUILDDIR}/$1/CONFIGURED
}

CONFIGURED ()
{
	touch %{BUILDDIR}/$1/CONFIGURED
}

CONFIG ()
{
	local d=$1 ; shift
	if CONFIG_P $d ; then
		rm -f %{BUILDDIR}/$d/BUILT
		rm -f %{BUILDDIR}/$d/INSTALLED
		mkdir -p %{BUILDDIR}/$d
		pushd %{BUILDDIR}/$d
		rm -f CONFIG.tmp
		echo '#!/bin/sh -xe' >> CONFIG.tmp
		EXPORT >> CONFIG.tmp
		echo %{SRCDIR}/$d/configure "$@" >> CONFIG.tmp
		chmod a+x CONFIG.tmp
		mv CONFIG.tmp CONFIG.sh
		%{BUILDDIR}/$d/CONFIG.sh
		popd %{BUILDDIR}/$d
		CONFIGURED $d
	fi
}

BUILD_P ()
{
	test ! -r %{BUILDDIR}/$1/BUILT
}

BUILT ()
{
	touch %{BUILDDIR}/$1/BUILT
}

BUILD ()
{
	local d=$1 ; shift
	if BUILD_P $d ; then
		rm -f %{BUILDDIR}/$d/INSTALLED
		mkdir -p %{BUILDDIR}/$d
		pushd %{BUILDDIR}/$d
		make "$@"
		popd %{BUILDDIR}/$d
		BUILT $d
	fi
}

INSTALL_P ()
{
	test ! -r %{BUILDDIR}/$1/INSTALLED
}

INSTALLED ()
{
	touch %{BUILDDIR}/$1/INSTALLED
}

INSTALL ()
{
	local d=$1 ; shift
	if INSTALL_P $d ; then
		mkdir -p %{BUILDDIR}/$d
		pushd %{BUILDDIR}/$d
		make install "DESTDIR = %{DESTDIR}" "$@"
		popd %{BUILDDIR}/$d
		INSTALLED $d
	fi
}

#-------------glib2----------------------------------------

%define glib2_builddir %{BUILDDIR}/%{glib2}

CONFIG %{glib2} \
	--disable-gtk-doc \
	--enable-static \
	%{__frysk_libs_configure}
BUILD %{glib2} \
	%{?_smp_mflags}
INSTALL %{glib2}

%define GLIB_CFLAGS -pthread -I$RPM_BUILD_ROOT/%{__frysk_includedir}/glib-2.0 -I$RPM_BUILD_ROOT/%{__frysk_libdir}/glib-2.0/include
%define glib_cflags GLIB_CFLAGS = %{GLIB_CFLAGS}

%define lib_gobject %{glib2_builddir}/gobject/libgobject-2.0.la
%define lib_gmodule %{glib2_builddir}/gmodule/libgmodule-2.0.la
%define lib_gthread %{glib2_builddir}/gthread/libgthread-2.0.la
%define lib_glib %{glib2_builddir}/glib/libglib-2.0.la

#------------glib-java-------------------------------------

%define glib_java_builddir %{BUILDDIR}/%{glib_java}

%define glib_java_makeflags "%{glib_cflags}" "GLIB_LIBS = %{lib_gobject} %{lib_gmodule} %{lib_gthread} %{lib_glib}"

if CONFIG_P %{glib_java} ; then
	CONFIG %{glib_java} \
		--without-javadocs \
		%{__frysk_libs_configure} 
	# FIXME: find a better solution for this
	sed -i 's/^pic_flag=\"\"/pic_flag=\"\ \-fPIC\"/' libtool
	sed -i 's/^compiler_c_o=\"no\"/compiler_c_o=\"yes\"/' libtool
fi
BUILD %{glib_java} %{?_smp_mflags} %{glib_java_makeflags}
INSTALL %{glib_java}

%define JGJAVA_CFLAGS -I$RPM_BUILD_ROOT/%{__frysk_includedir}/glib-java
%define jgjava_cflags JGJAVA_CFLAGS = %{JGJAVA_CFLAGS}
%define GLIB_JAVA_CFLAGS %{JGJAVA_CFLAGS}

%define JGJAR $RPM_BUILD_ROOT/%{__frysk_datadir}/java/glib0.2-0.2.2.jar
%define jgjar JGJAR = %{JGJAR}
%define GLIB_JAVA_JAR $RPM_BUILD_ROOT/%{__frysk_datadir}/java/glib0.2-0.2.2.jar

%define lib_glibjava %{glib_java_builddir}/libglibjava.la
%define lib_glibjni %{glib_java_builddir}/libglibjni.la

#-------------fontconfig-----------------------------------

%define fontconfig_builddir %{BUILDDIR}/%{fontconfig}

# Work around weird elinks bug where elinks refuses to open the
# temporary html file generated by jade because it thinks it's a
# special file.  Only happens in beehive.
export ELINKS_CONFDIR=$PWD/elinks-conf
mkdir -p $ELINKS_CONFDIR
echo "set protocol.file.allow_special_files = 1" > $ELINKS_CONFDIR/elinks.conf

CONFIG %{fontconfig} \
	--with-add-fonts=/usr/X11R6/lib/X11/fonts/Type1,/usr/X11R6/lib/X11/fonts/OTF \
	%{__frysk_libs_configure}
BUILD %{fontconfig} %{?_smp_mflags}
INSTALL %{fontconfig}

%define lib_fontconfig %{fontconfig_builddir}/src/libfontconfig.la

#------------atk-------------------------------------------

%define atk_makeflags "DEP_CFLAGS = %{GLIB_CFLAGS}" "DEP_LIBS = %{lib_gobject} %{lib_gmodule} %{lib_glib}"

%define atk_builddir %{BUILDDIR}/%{atk}

CONFIG %{atk} \
	--disable-glibtest \
	--disable-gtk-doc \
	%{__frysk_libs_configure}
BUILD %{atk} %{?_smp_mflags} %{atk_makeflags}
INSTALL %{atk}

%define ATK_CFLAGS -I$RPM_BUILD_ROOT/%{__frysk_includedir}/atk-1.0
%define lib_atk %{atk_builddir}/atk/libatk-1.0.la

#------------cairo-----------------------------------------

%define cairo_builddir %{BUILDDIR}/%{cairo}

CONFIG %{cairo} \
	--enable-warnings \
	--disable-glitz \
	--disable-quartz \
        --disable-atsui \
	--disable-xcb \
	--disable-win32 \
        --disable-gtk-doc \
	%{__frysk_libs_configure}
BUILD %{cairo} %{?_smp_mflags}
INSTALL %{cairo}

%define CAIRO_CFLAGS -I$RPM_BUILD_ROOT/%{__frysk_includedir}/cairo -I$RPM_BUILD_ROOT/%{__frysk_includedir}
%define cairo_cflags CAIRO_CFLAGS = %{CAIRO_CFLAGS}

%define lib_cairo %{cairo_builddir}/src/libcairo.la

#------------cairo-java------------------------------------

%define cairo_java_builddir %{BUILDDIR}/%{cairo_java}

%define cairo_java_makeflags "%{glib_cflags}" "GLIB_LIBS = %{lib_gobject} %{lib_gmodule} %{lib_gthread} %{lib_glib}" "%{cairo_cflags}" "CAIRO_LIBS = %{lib_cairo}" "%{jgjava_cflags}" "JGJAVA_LIBS = %{lib_glibjava}" "JGJNI_LIBS = %{lib_glibjni}" "%{jgjar}"

CONFIG %{cairo_java} \
	--without-javadocs \
	%{__frysk_libs_configure}
BUILD %{cairo_java} %{?_smp_mflags} %{cairo_java_makeflags}
INSTALL %{cairo_java}

%define CAIROJAR $RPM_BUILD_ROOT/%{__frysk_datadir}/java/cairo1.0-1.0.2.jar
%define cairojar CAIROJAR = %{CAIROJAR}

%define CAIRO_JAVA_CFLAGS -I$RPM_BUILD_ROOT/%{__frysk_includedir}/cairo -I$RPM_BUILD_ROOT/%{__frysk_includedir}/glib-java
%define cairo_java_cflags CAIRO_JAVA_CFLAGS = %{CAIRO_JAVA_CFLAGS}

%define lib_cairojava %{cairo_java_builddir}/libcairojava.la

#------------pango-----------------------------------------

%define pango_makeflags "%{glib_cflags}" "%{cairo_cflags}" "FONTCONFIG_LIBS = %{lib_fontconfig}" "GLIB_LIBS = %{lib_gobject} %{lib_gmodule} %{lib_gthread} %{lib_glib}" "CAIRO_LIBS = %{lib_cairo}"

%define pango_builddir %{BUILDDIR}/%{pango}

CONFIG %{pango} \
	%{__frysk_libs_configure}
BUILD %{pango} %{?_smp_mflags} %{pango_makeflags}
INSTALL %{pango} %{pango_makeflags}

%define PANGO_CFLAGS -I$RPM_BUILD_ROOT/%{__frysk_includedir}/pango-1.0 -I$RPM_BUILD_ROOT/%{__frysk_includedir}
%define pango_cflags PANGO_CFLAGS = %{PANGO_CFLAGS}

%define lib_pango %{pango_builddir}/pango/libpango-1.0.la
%define lib_pangocairo %{pango_builddir}/pango/libpangocairo-1.0.la
%define lib_pangoft %{pango_builddir}/pango/libpangoft2-1.0.la
%define lib_pangox %{pango_builddir}/pango/libpangox-1.0.la
%define lib_pangoxft %{pango_builddir}/pango/libpangoxft-1.0.la

#------------gtk2------------------------------------------

%define gtk2_makeflags "GDK_PIXBUF_DEP_CFLAGS = %{GLIB_CFLAGS} -I/usr/include/libpng12" "GDK_PIXBUF_DEP_LIBS = %{lib_gobject} %{lib_gmodule} %{lib_gthread} %{lib_glib}" "GDK_DEP_CFLAGS = -DXTHREADS -D_REENTRANT -DXUSE_MTSAFE_API %{GLIB_CFLAGS} %{CAIRO_CFLAGS} %{PANGO_CFLAGS}" "GDK_DEP_LIBS = -L/usr/X11R6/lib -lXrandr -lXrender -lXi -lXinerama -lXext -lX11 %{lib_gobject} %{lib_gmodule} %{lib_gthread} %{lib_glib} %{lib_fontconfig} -ldl -lXcursor -lXrender -lXext -lXfixes -lX11 -lm" "GTK_DEP_CFLAGS = %{GLIB_CFLAGS} %{PANGO_CFLAGS} %{CAIRO_CFLAGS} %{ATK_CFLAGS}" "GTK_DEP_LIBS = -L/usr/X11R6/lib -lX11 %{lib_pangocairo} %{lib_pango} %{lib_atk} %{lib_gobject} %{lib_gmodule} %{lib_gthread} %{lib_glib} %{lib_cairo} -ldl -lm" "%{glib_cflags}" "GLIB_LIBS = %{lib_gobject} %{lib_gmodule} %{lib_gthread} %{lib_glib}" "%{cairo_cflags}" "GDK_PIXBUF_XLIB_DEP_CFLAGS = %{GLIB_CFLAGS} -I/usr/X11R6/include"

%define gtk2_builddir %{BUILDDIR}/%{gtk2}

CONFIG %{gtk2} \
	--disable-glibtest \
	--with-xinput=xfree \
	--disable-gtk-doc \
	%{__frysk_libs_configure}
## smp_mflags doesn't work for now due to gdk-pixbuf.loaders, may be fixed
## past gtk 2.1.2
# make # %{?_smp_mflags}
BUILD %{gtk2} %{gtk2_makeflags}
INSTALL %{gtk2} %{gtk2_makeflags}

%define GTK_CFLAGS -I$RPM_BUILD_ROOT/%{__frysk_includedir}/gtk-2.0 -I$RPM_BUILD_ROOT/%{__frysk_libdir}/gtk-2.0/include

%define lib_gdk_x11 %{gtk2_builddir}/gtk/libgtk-x11-2.0.la
%define lib_gdk_pixbuf %{gtk2_builddir}/gdk-pixbuf/libgdk_pixbuf-2.0.la
%define lib_gtk_x11 %{gtk2_builddir}/gtk/libgtk-x11-2.0.la

#------------libgtk-java-----------------------------------

%define libgtk_java_builddir %{BUILDDIR}/%{libgtk_java}

%define libgtk_java_makeflags "%{glib_cflags}" "GLIB_LIBS = %{lib_gobject} %{lib_gmodule} %{lib_gthread} %{lib_glib}" "%{cairo_cflags}" "CAIRO_LIBS = %{lib_cairo}" "%{jgjava_cflags}" "JGJAVA_LIBS = %{lib_glibjava}" "JGJNI_LIBS = %{lib_glibjni}" "%{jgjar}" "%{cairo_java_cflags}" "CAIRO_JAVA_LIBS = %{lib_cairojava}" "%{cairojar}" "GTK_CFLAGS = %{GTK_CFLAGS} %{GLIB_CFLAGS} %{ATK_CFLAGS} %{PANGO_CFLAGS}" "GTK_LIBS = -ldl %{lib_gdk_x11} %{lib_gdk_pixbuf} %{lib_gobject} %{lib_gmodule} %{lib_glib} %{lib_atk} %{libgpango} %{lib_pangocairo}" "ATK_CFLAGS = %{ATK_CFLAGS}" "ATK_LIBS = %{lib_atk}" "GTHREAD_CFLAGS = %{GLIB_CFLAGS}" "GTHREAD_LIBS = %{lib_gthread} %{lib_glib}"

CONFIG %{libgtk_java} \
	--without-javadocs \
	%{__frysk_libs_configure}
BUILD %{libgtk_java} %{?_smp_mflags} %{libgtk_java_makeflags}
INSTALL %{libgtk_java}

%define GTKJAR $RPM_BUILD_ROOT/%{__frysk_datadir}/java/gtk2.8-2.8.2.jar
%define gtkjar GTKJAR = %{GTKJAR}
%define GTK2_JAR $RPM_BUILD_ROOT/%{__frysk_datadir}/java/gtk2.8-2.8.2.jar

%define GTKJAVA_CFLAGS -I$RPM_BUILD_ROOT/%{__frysk_includedir}/libgtk-java -I$RPM_BUILD_ROOT/%{__frysk_includedir}/glib-java -I$RPM_BUILD_ROOT/%{__frysk_includedir}/gtk-2.0 -I$RPM_BUILD_ROOT/%{__frysk_includedir}/cairo -I$RPM_BUILD_ROOT/%{__frysk_libdir}/gtk-2.0/include -I$RPM_BUILD_ROOT/%{__frysk_includedir}/atk-1.0 -I$RPM_BUILD_ROOT/%{__frysk_includedir}/pango-1.0 -I$RPM_BUILD_ROOT/%{__frysk_includedir}/glib-2.0 -I$RPM_BUILD_ROOT/%{__frysk_libdir}/glib-2.0/include
%define gtkjava_cflags GTKJAVA_CFLAGS = %{GTKJAVA_CFLAGS}

%define lib_gtk_java %{libgtk_java_builddir}/libgtkjava.la
%define lib_gtkjni %{libgtk_java_builddir}/libgtkjni.la

#------------libglade--------------------------------------

%define libglade_makeflags "LIBGLADE_CFLAGS = %{GLIB_CFLAGS} %{GTK_CFLAGS} %{CAIRO_CFLAGS} %{PANGO_CFLAGS} -I/usr/include/libxml2 %{ATK_CFLAGS}" "LIBGLADE_LIBS = -Wl,--export-dynamic -lxml2 -lpthread -lz %{lib_gdk_x11} %{lib_gdk_pixbuf} %{lib_atk} -lm %{lib_pangocairo} %{lib_pango} %{lib_cairo} %{lib_gobject} %{lib_gmodule} %{lib_gthread} %{lib_glib} -ldl"

%define libglade_builddir %{BUILDDIR}/%{libglade}

CONFIG %{libglade} \
	--without-javadocs \
	--disable-gtktest \
	%{__frysk_libs_configure}
BUILD %{libglade} %{?_smp_mflags} %{libglade_makeflags}
INSTALL %{libglade}

%define LIBGLADE_CFLAGS -I$RPM_BUILD_ROOT/%{__frysk_includedir}/libglade-2.0 -I$RPM_BUILD_ROOT/%{__frysk_includedir}/gtk-2.0 -I$RPM_BUILD_ROOT/%{__frysk_includedir}/gtk-2.0/include -I$RPM_BUILD_ROOT/%{__frysk_includedir}/atk-1.0 -I$RPM_BUILD_ROOT/%{__frysk_includedir}/cairo -I$RPM_BUILD_ROOT/%{__frysk_includedir}/pango-1.0 -I$RPM_BUILD_ROOT/%{__frysk_includedir}/glib-2.0 -I$RPM_BUILD_ROOT/%{__frysk_includedir}/glib-2.0/include -I/usr/include/libxml
%define libglade_cflags LIBGLADE_CFLAGS = %{LIBGLADE_CFLAGS}

%define lib_glade %{libglade_builddir}/glade/libglade-2.0.la

#------------libglade-java---------------------------------

# REQUIRES: libgtk-java

%define libglade_java_builddir %{BUILDDIR}/%{libglade_java}

%define libglade_java_makeflags %{libgtk_java_makeflags} "%{libglade_cflags}" "LIBGLADE_LIBS = %{lib_glade} %{libgtk} %{lib_atk} %{lib_cairo} %{lib_gdk_x11} %{lib_gdk_x11_pixbuf} %{lib_pangocairo} %{lib_pango} %{lib_gobject} %{lib_gmodule} %{lib_glib}" "%{gtkjar}" "%{gtkjava_cflags}" "GTKJAVA_LIBS = %{lib_gtk_java} %{lib_cairojava} %{lib_glibjava} %{lib_gdk_x11} %{lib_atk} %{lib_gdk_x11_pixbuf} %{lib_pangocairo} %{lib_pango} %{lib_cairo} %{lib_gobject} %{lib_gmodule} -ldl %{lib_glib} %{lib_gtk_x11}" "GTKJNI_LIBS = %{lib_gtkjni}"

CONFIG %{libglade_java} \
	--without-gnome \
	--without-javadocs \
	%{__frysk_libs_configure}
BUILD %{libglade_java} %{?_smp_mflags} %{libglade_java_makeflags}
INSTALL %{libglade_java}

%define GLADE_JAR $RPM_BUILD_ROOT/%{__frysk_datadir}/java/glade2.12.jar

#------------libvte-java-----------------------------------

%define libvte_java_builddir %{BUILDDIR}/%{libvte_java}

%define libvte_java_makeflags %{libglade_java_makeflags} "GNOME_CFLAGS = -pthread -DORBIT2=1 -I$RPM_BUILD_ROOT/%{__frysk_includedir}/gtk-2.0 -I$RPM_BUILD_ROOT/%{__frysk_includedir}/glib-2.0 -I$RPM_BUILD_ROOT/%{__frysk_libdir}/glib-2.0/include -I$RPM_BUILD_ROOT/%{__frysk_includedir}/pango-1.0 -I/usr/include/ -I/usr/include/freetype2 -I$RPM_BUILD_ROOT/%{__frysk_libdir}/gtk-2.0/include -I$RPM_BUILD_ROOT/%{__frysk_includedir}/atk-1.0 -I$RPM_BUILD_ROOT/%{__frysk_includedir}/cairo -I/usr/include/libgnomeui-2.0 -I/usr/include/libgnome-2.0 -I/usr/include/libgnomecanvas-2.0 -I/usr/include/libart-2.0 -I/usr/include/gconf/2 -I/usr/include/libbonoboui-2.0 -I/usr/include/orbit-2.0 -I/usr/include/libbonobo-2.0 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/bonobo-activation-2.0 -I/usr/include/libxml2" "GNOME_LIBS = -Wl,--export-dynamic -pthread -L/usr/X11R6/lib -lgnomeui-2 -lSM -lICE -lbonoboui-2 -lxml2 -lpthread -lz -lgnome-2 -lpopt -lbonobo-2 -lgconf-2 -lgnomevfs-2 -lbonobo-activation -lORBit-2 %{lib_gthread} -lgnomecanvas-2 -lart_lgpl_2 %{lib_pangoft} %{lib_gtk_x11} %{lib_gdk_x11} %{lib_atk} -lgdk_pixbuf-2.0 -lm %{lib_pangocairo} %{lib_pango} %{lib_cairo} %{lib_gobject} %{lib_gmodule} -ldl %{lib_glib}" "VTE_CFLAGS = -I$RPM_BUILD_ROOT/%{__frysk_includedir}/glib-2.0 -I$RPM_BUILD_ROOT/%{__frysk_libdir}/glib-2.0/include -I$RPM_BUILD_ROOT/%{__frysk_includedir}/gtk-2.0 -I/usr/include -I$RPM_BUILD_ROOT/%{__frysk_includedir}/pango-1.0 -I/usr/X11R6/include -I/usr/include/freetype2 -I/usr/include/freetype2/config -I$RPM_BUILD_ROOT/%{__frysk_libdir}/gtk-2.0/include -I$RPM_BUILD_DIR/%{__frysk_includedir}/atk-1.0 -I$RPM_BUILD_ROOT/%{__frysk_includedir}/cairo" "VTE_LIBS = -L/usr/X11R6/lib -lvte -lz -lncurses -lSM -lICE -lXft -lX11 -lfreetype -lXrender %{lib_gtk_x11} %{lib_pangoxft} %{lib_pangox} %{lib_fontconfig} %{lib_gdk_x11} %{lib_atk} %{lib_gdk_pixbuf} -lm %{lib_pangocairo} %{lib_cairo} %{lib_pangoft} %{lib_pango} %{lib_gobject} %{lib_gmodule} -ldl %{lib_glib}" "JGJAVA_CFLAGS = %{JGJAVA_CFLAGS} -I $RPM_BUILD_ROOT/%{__frysk_includedir}"

CONFIG %{libvte_java} \
	--without-javadocs \
	%{__frysk_libs_configure}
BUILD %{libvte_java} %{libvte_java_makeflags}
INSTALL %{libvte_java}

%define VTE_JAVA_JAR $RPM_BUILD_ROOT/%{__frysk_datadir}/java/vte0.11.jar

#-----------antlr------------------------------------------

%define antlr_builddir %{BUILDDIR}/%{antlr}
export ANTLR_JAR=$RPM_BUILD_ROOT/%{__frysk_datadir}/java/antlr.jar

CONFIG %{antlr} \
	--disable-python \
	--disable-csharp \
	--disable-cxx \
	--disable-examples \
	%{__frysk_libs_configure}
BUILD %{antlr} %{?_smp_mflags}
if INSTALL_P %{antlr} ; then
	install -d `dirname $ANTLR_JAR`
	install %{antlr_builddir}/antlr/antlr.jar $ANTLR_JAR
	INSTALLED %{antlr}
fi

#-----------jdom------------------------------------------

%define jdom_builddir %{BUILDDIR}/%{jdom}
export JDOM_JAR=$RPM_BUILD_ROOT/%{__frysk_datadir}/java/jdom.jar

mkdir -p %{jdom_builddir}
CONFIGURED %{jdom}

if BUILD_P %{jdom} ; then
	pushd %{jdom_builddir}
	rm -f BUILD.tmp
	echo '#!/bin/sh -xe' >> BUILD.tmp
	echo classdir=$PWD >> BUILD.tmp
	EXPORT >> BUILD.tmp
	echo '( cd ../../%{jdom} && ${JAVAC} -Ipackage -Isrc/java -O -g -d $classdir @jdom.files )' >> BUILD.tmp
	echo 'find * -name "*.class" -print | ${JAR} -@ -cf jdom.jar' >> BUILD.tmp
	chmod a+x BUILD.tmp
	mv BUILD.tmp BUILD.sh
	%{jdom_builddir}/BUILD.sh
	popd
	BUILT %{jdom}
fi

if INSTALL_P %{jdom} ; then
	install -d `dirname $JDOM_JAR`
	install %{jdom_builddir}/jdom.jar $JDOM_JAR
	INSTALLED %{jdom}
fi

#-----------frysk------------------------------------------

%define frysk_builddir %{BUILDDIR}/%{frysk}

%define frysk_rpaths -Djava.library.path=%{__frysk_libdir}: -Wl,-rpath,%{__frysk_libdir}:

%define frysk_makeflags "FRYSK_IMPORTS_CFLAGS = %{GTK_CFLAGS} %{ATK_CFLAGS} %{CAIRO_CFLAGS} %{PANGO_CFLAGS} %{GLIB_CFLAGS} %{GTK_CFLAGS} %{GLIB_JAVA_CFLAGS} %{GTKJAVA_CFLAGS}" "FRYSK_IMPORTS_CLASSPATH = %{GTK2_JAR}:%{GLIB_JAVA_JAR}" "FRYSK_IMPORTS_JARS = %{GTK2_JAR} %{GLIB_JAVA_JAR}" "FRYSK_IMPORTS_LIBS = -L$RPM_BUILD_ROOT/%{__frysk_libdir} -lgtkjava -lcairojava -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpangoft2-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0 -lglibjava" "FRYSK_GUI_JARS = %{GTK2_JAR} %{GLADE_JAR} %{GLIB_JAVA_JAR} %{VTE_JAVA_JAR}" "FRYSK_GUI_CFLAGS = %{GTK_CFLAGS} %{ATK_CFLAGS} %{CAIRO_CFLAGS} %{PANGO_CFLAGS} %{GLIB_CFLAGS} %{GTK_CFLAGS} %{GLIB_JAVA_CFLAGS} %{GTKJAVA_CFLAGS}" "FRYSK_GUI_LIBS = -L$RPM_BUILD_ROOT/%{__frysk_libdir} -lgtkjava -lcairojava -lglade-2.0 -lgladejava -lvtejava -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpangoft2-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0 -lglibjava" "frysk_bindir_frysk_LDFLAGS = --main=frysk.bindir.frysk %{frysk_rpaths}" "frysk_bindir_fstack_LDFLAGS = --main=frysk.bindir.fstack %{frysk_rpaths}" "frysk_bindir_ftrace_LDFLAGS = --main=frysk.bindir.ftrace %{frysk_rpaths}"

export FRYSK_IMPORTS_JARS="XXX: ignored"
export FRYSK_GUI_JARS="XXX: ignored"

CONFIG %{frysk} \
	%{__frysk_configure}
BUILD %{frysk} %{?_smp_mflags} %{frysk_makeflags}
INSTALL %{frysk} %{frysk_makeflags}

#-----------done------------------------------------------

%post

mkdir -p %{__frysk_sysconfdir}/pango/i686-redhat-linux-gnu
%{__frysk_bindir}/frysk-pango-querymodules > %{__frysk_sysconfdir}/pango/i686-redhat-linux-gnu/pango.modules

mkdir -p %{__frysk_sysconfdir}/gtk-2.0
%{__frysk_bindir}/frysk-gdk-pixbuf-query-loaders > %{__frysk_sysconfdir}/gtk-2.0/gdk-pixbuf.loaders

/sbin/ldconfig

%postun

rm -f %{__frysk_sysconfdir}/pango/i686-redhat-linux-gnu/pango.modules
rm -f %{__frysk_sysconfdir}/gtk-2.0/gdk-pixbuf.loaders

/sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/usr/bin/*
/usr/lib/libEggTrayIcon.so
/usr/lib/libfrysk-*.so
/usr/lib/libftk*.so
/usr/man/*/frysk-*
/usr/include/frysk/*
/usr/lib/frysk/*
/usr/share/frysk/*
/usr/share/java/frysk-*.jar
/usr/share/java/ftk.jar
/etc/frysk/*

%changelog
* Wed Dec 14  2005 Andrew Cagney <cagney@redhat.com> 0.0.1.2005.12.14.15.12-0.EL4.1
- Import frysk-0.0.1.2005.12.14.15.12.tar.bz2.
- Add /usr/lib/libftk*.so, and /usr/share/ftk.jar to files.

* Tue Dec 13  2005 Andrew Cagney  <cagney@redhat.com>  0.0.0.20051211.1-0.EL4.6
- Add dependencies on autoconf, automake, and automake17.

* Tue Dec 13  2005 Rick Moseley  <rmoseley@redhat.com>  0.0.0.20051211.1-0.EL4.5
- Add patch to the jdom source to fix 4.0.2-12 compiler error

* Mon Dec 12  2005 Rick Moseley  <rmoseley@redhat.com>  0.0.0.20051211.1-0.EL4.4
- Add patches to correct jg-common/glib-java macro file errors
- Add patch to correct frysk-imports/test/Makefile.am error
- Add GIJ variable to exports

* Sun Dec 11  2005 Andrew Cagney <cagney@redhat.com> 0.0.0.20051211.1-0.EL4.3
- Add commands to generate / remove the files
  pango/i686-redhat-linux-gnu/pango.modules, and
  gtk-2.0/gdk-pixbuf.loaders during post and postun phases.

* Sun Dec 11  2005 Andrew Cagney <cagney@redhat.com> 0.0.0.20051211.1-0.EL4.2
- Bum version number.

* Sun Dec 11  2005 Andrew Cagney <cagney@redhat.com> 0.0.0.20051211.1-0.EL4.1
- Update pango-skip-cairo-check.patch, leave in definition of
  HAVE_CAIRO_FREETYPE.

* Sun Dec 11  2005 Andrew Cagney <cagney@redhat.com> 0.0.0.20051211.1-0.EL4.0
- Set JV_SCAN.
- Import 0.0.0.20051211.1.
- Replace CONFIGURE with CONFIG; generates a CONFIG.sh script and runs
  that.
- For JDOM, generate a BUILD.sh script and run that.

* Sun Dec 10  2005 Rick Moseley  <rmoseley@redhat.com>  0.0.0.20051209.1-0.EL4.4
- added "BuildRequires: gtk-doc" under the gtk2 section(BZ 2028)

* Sat Dec 10  2005 Andrew Cagney <cagney@redhat.com> 0.0.0.20051209-0.EL4.3
- Add -lpangoft2 to frysk_makeflags.
- Add frysk_bindir_frysk_LDFLAGS, frysk_bindir_ftrace_LDFLAGS, and
  frysk_bindir_fstack_LDFLAGS to frysk_makeflags.  XXX: Needs a better
  way.

* Sat Dec 10  2005 Andrew Cagney <cagney@redhat.com> 0.0.0.20051209-0.EL4.2
- Add *-pkg-dir.patchs, add datadir to, and fix classpath and
  macro_dir in the PACKAGE.pc, add file.
- For java packages, where needed run aclocal with -I
  ../jg-common/macros, and -I ../libgtk-java/macros.

* Fri Dec 9  2005 Andrew Cagney <cagney@redhat.com> 0.0.0.20051209-0.EL4.1
- Import 0.0.0.20051209 tar ball.
- Add frysk-head.patch.  Run frysk's autogen.sh.

* Fri Dec 9  2005 Rick Moseley  <rmoseley@redhat.com>  0.0.0.20051202.1-0.EL4.5
- added "export CC=/usr/bin/gcc4" so gcc4 compiler will be used.

* Thu Dec 8  2005 Andrew Cagney <cagney@redhat.com> 0.0.0.20051202.1-0.EL4.5
- Move --datadir to __frysk_libs_config.

* Thu Dec 8  2005 Andrew Cagney <cagney@redhat.com> 0.0.0.20051202.1-0.EL4.4
- Delete buildroot hack.
- Bump version number.

* Thu Dec 8  2005 Adam Jocksch <ajocksch@redhat.com> 0.0.0.20051202.1-0.EL4.3
- Renamed TextMarkFactoryFix to libgtk-java-TextMarkFactoryFix.

* Thu Dec 8  2005 Andrew Cagney <cagney@redhat.com> 0.0.0.20051202.1-0.EL4.3
- Delete build_failed check.

* Wed Dec 7  2005 Andrew Cagney <cagney@redhat.com> 0.0.0.20051202.1-0.EL4.3
- Rename GTK2_CFLAGS to GTK_CFLAGS, avoid confusion.
- Delete remaining build_*, and install_* flags.
- Enable antlr, jdom, and frysk.
- Delete /usr/share/java/frysk-*.jar from files section.

* Wed Dec 7  2005 Adam Jocksch <ajocksch@redhat.com> 0.0.0.20051202.1-0.EL4.3
- Fixed typo in declaration of libpangoft.
- Added patch to fix libgtk-java TextMark problem (java-gnome bug #323508).

* Wed Dec 7  2005 Adam Jocksch <ajocksch@redhat.com> 0.0.0.20051202.1-0.EL4.3
- Changed references to .la files away from the .libs directories in glib-java
  and libgtk-java

* Wed Dec 7  2005 Andrew Cagney <cagney@redhat.com> 0.0.0.20051202.1-0.EL4.3
- Add CONFIGURE, BUILD, and INSTALL shell functions to install - only
  do the actioin if it hasn't been performed before.  Delete
  corresponding build_* and install_* macros.
- Rename __frysk_gtk_configure to __frysk_libs_configure.

* Wed Dec 7  2005 Adam Jocksch <ajocksch@redhat.com> 0.0.0.20051202.1-0.EL4.3
- Added defs for libpango{ft|x|xft} to pango build section, updated all
  relevant paths.

* Wed Dec 7  2005 Andrew Cagney <cagney@redhat.com> 0.0.0.20051202.1-0.EL4.3
- Rename libglade (the second definition) to lib_glade, ditto for all
  other macro's defining a .la path; stop's macro recursion.

* Wed Dec 7  2005 Adam Jocksch <ajocksch@redhat.com> 0.0.0.20051202.1-0.EL4.3
- Updated versions of libgtk-java, glib-java, and cairo-java to latest official
  releases, removed old versions.

* Wed Dec 7  2005 Adam Jocksch <ajocksch@redhat.com> 0.0.0.20051202.1-0.EL4.3
- Enabled build of libvte-java.

* Tue Dec 6  2005 Adam Jocksch <ajocksch@redhat.com> 0.0.0.20051202.1-0.EL4.3
- Added libgtkjni, libgtk_java definition to libgtk-java section.
- Added libgtk_x11 definition to gtk2 section.
- Enabled libglade-java build.

* Tue Dec 6  2005 Adam Jocksch <ajocksch@redhat.com> 0.0.0.20051202.1-0.EL4.3
- Added lib* definitions for cairo-java.
- Added cflags definition for cairo-java.
- libgtk-java build enabled, libgtk_java_makeflags set.

* Tue Dec 6  2005 Andrew Cagney <cagney@redhat.com> 0.0.0.20051202.1-0.EL4.3
- Add DEP_LIBS to atk_makeflags.
- Add lib* definitions for all .la files.
- Enable gtk2 and libglade.
- Explicitly specify the MAKE *_LIB variable in the *_makeflags line.

* Mon Dec 5  2005 Andrew Cagney <cagney@redhat.com> 0.0.0.20051202.1-0.EL4.3
- Move atk's build code to before gtk, enable.
- Pass location of atk to libglade and gtk's make.
- Disable gtk, sigh.

* Mon Dec 5  2005 Andrew Cagney <cagney@redhat.com> 0.0.0.20051202.1-0.EL4.3
- Add libglade-atk-ver-1-8.patch, don't enable.
- Define GTK2_CFLAGS, and GTK2_LIBS.
- Define libglade_makeflags, pass to libglade's make.

* Mon Dec 5  2005 Andrew Cagney <cagney@redhat.com> 0.0.0.20051202.1-0.EL4.3
- Print RPM_BUILD_ROOT
- Enable gtk2; added libgthread-2.0.la to GLIB_LIBS, and
  GDK_PIXBUF_XLIB_DEP_CFLAGS to gtk2_makeflags.

* Mon Dec 5  2005 Adam Jocksch <ajocksch@redhat.com>  0.0.0.20051202.1-0.EL4.3
- cairo-java is now being built.

* Mon Dec 5  2005 Adam Jocksch <ajocksch@redhat.com>  0.0.0.20051202.1-0.EL4.3
- Got glib-java section building.

* Mon Dec 5  2005 Andrew Cagney <cagney@redhat.com> 0.0.0.20051202.1-0.EL4.3
- Re-order build list, build for gtk, cairo, glib, build java bindings
  immediatly after c library.

* Mon Dec 5  2005 Andrew Cagney <cagney@redhat.com> 0.0.0.20051202.1-0.EL4.3
- Disable atk.
- Pass pango_makeflags to pango's make install.

* Mon Dec 5  2005 Andrew Cagney <cagney@redhat.com> 0.0.0.20051202.1-0.EL4.3
- Define SRCDIR, DESTDIR, and BUILDDIR.  Use throughout.
- Re-indent all if/fi code.

* Mon Dec 5  2005 Andrew Cagney <cagney@redhat.com> 0.0.0.20051202.1-0.EL4.3
- Fix gtk+-skip-glib-check.patch to patch m4macros/gtk-2.0.m4 instead
  of a generated file.  Use --disable-glibtest.
- Add gtk+-skip-pango-check.patch, to disable pango runtime test.
- For pango, run autoconf, and automake as part of setup.
- Cleanup all makefile parameters (GLIB_CFLAGS, et.al.) so that they
  are defined consistently.
- Define pango_makeflags, pass to pango's make forcing it to look in
  the build tree for headers and libraries.  Ditto for gtk2_makeflags.

* Sun Dec 4  2005 Andrew Cagney <cagney@redhat.com> 0.0.0.20051202.1-0.EL4.3
- Add gtk+-skip-glib-check.patch; skips over the glib validation step.
- Add pango-skip-cairo-check.patch; skips over cairo validation step.
- For pango, override glib, cairo, and fontconfig flags.

* Sat Dec 3  2005 Andrew Cagney <cagney@redhat.com> 0.0.0.20051202.1-0.EL4.3
- Add install_* flags to control install.
- Run autoconf et.al. as part of setup.
- Do everything in install (outch!).
- Pass %{?_smp_mflags} to make commands.
- Point PKG_CONFIG_PATH, and LD_LIBRARY_PATH at RPM_BUILD_ROOT.
- Update list of files.
- Delete the install-root as part of build.
- Pass DESTDIR to all make install commands.
- Always define ANTLR_JAR and JDOM_JAR variables.
- Enable build of frysk.
- Define glib_cflags, glib_libs, cairo_cflags, and pass where needed.

* Fri Dec 2  2005 Andrew Cagney <cagney@redhat.com> 0.0.0.20051202.1-0.EL4.3
- Disable frysk part of build, causes internal compiler error.

* Fri Dec 2  2005 Andrew Cagney <cagney@redhat.com> 0.0.0.20051202.1-0.EL4.2
- Add requirements for gcc4-java and gcc4-c++

* Fri Dec 2  2005 Andrew Cagney <cagney@redhat.com> 0.0.0.20051202.1-0.EL4.1
- Add more installed files.

* Fri Dec 2  2005 Andrew Cagney <cagney@redhat.com> 0.0.0.20051202.1-0.EL4.1
- Wrap every step in if%{build...}.
- Bump version to 0.0.0.20051202.1.

* Thu Dec 1  2005 Andrew Cagney <cagney@redhat.com> 0.0.0.20051201.1-0.EL4.1
- Use Adam's --prefix=... trick to get all of the gnome stuff to build.

* Thu Dec 1  2005 Andrew Cagney <cagney@redhat.com> 0.0.0.20051201.1-0.EL4.1
- Fix package config path (/usr/lib) to match.  Add conditional build variables.

* Thu Dec 1  2005 Adam Jocksch <ajocksch@redhat.com> 0.0.0.20051201.1-0.EL4.1
- Various typo-fixes.

* Thu Dec 1  2005 Andrew Cagney <cagney@redhat.com> 0.0.0.20051201.1-0.EL4.1
- Update frysk tar ball, has JDOM configury enabled.

* Thu Dec 1  2005 Andrew Cagney <cagney@redhat.com> 0.0.0.20051128.2-0.EL4.2
- Build jdom, define JDOM_JAR.

* Thu Dec 1  2005 Andrew Cagney <cagney@redhat.com> 0.0.0.20051128.2-0.EL4.2
- Import jdom sources.

* Thu Dec 1  2005 Adam Jocksch <ajocksch@redhat.com> 0.0.0.20051128.2-0.EL4.2
- Added correct prefix for configure, testing install prefix.

* Thu Dec 1  2005 Adam Jocksch <ajocksch@redhat.com> 0.0.0.20051128.2-0.EL4.2
- Added build sections for frysk prerequisites.

* Thu Dec 1  2005 Adam Jocksch <ajocksch@redhat.com> 0.0.0.20051128.2-0.EL4.2
- Added paths for temporary install directory.
- Added BuildRequires and Requires for libvte-java.

* Thu Dec 1  2005 Andrew Cagney <cagney@redhat.com> 0.0.0.20051128.2-0.EL4.2
- Add libvte-java to sources and unpack.

* Wed Nov 30  2005 Andrew Cagney <cagney@redhat.com> 0.0.0.20051128.2-0.EL4.2
- Unpack and patch all tar balls; frysk being put in a sub-directory.

* Wed Nov 30  2005 Andrew Cagney <cagney@redhat.com> 0.0.0.20051128.2-0.EL4.2
- Add in initial full list of build dependencies, source files and
  patches.

* Wed Nov 30  2005 Andrew Cagney <cagney@redhat.com> 0.0.0.20051128.2-0.EL4.1
- Update to 0.0.0.20051128.2, pick up fix for JAVAC=<absolute-path-bug>.
- Delete stray ^L.

* Wed Nov 30  2005 Andrew Cagney <cagney@redhat.com> 0.0.0.20051128.2-0.EL4.1
- Make environment variable paths absolute, hack around AC_PATH_PROG
  bug.

* Tue Nov 29  2005 Andrew Cagney <cagney@redhat.com> 0.0.0.20051128.2-0.EL4
- Change frysk to a .bz2 file.
- Add BuildRequires gcc4 et.al.
- Add install.and files rules.
- Update antlr.patch to handle/prefer gcc4.

* Mon Nov 28  2005 Andrew Cagney <cagney@redhat.com> 0.0.0.20051128.2-0.EL4
- Bump frysk version to 0.0.0.20051128.2
- Fill out code for building antlr.jar, set ANTLR_JAR environment variable.
- Add initial logic for building frysk.

* Mon Nov 28  2005 Andrew Cagney <cagney@redhat.com> 0.0.0.20051116-0.EL4
- Add prep and build rules to build antlr, add antlr.patch.

* Mon Nov 28  2005 Andrew Cagney <cagney@redhat.com> 0.0.0.20051116-0.EL4
- Add antlr-2.7.5.tar.gz.

* Mon Nov 28  2005 Andrew Cagney <cagney@redhat.com> 0.0.0.20051116-0.EL4
- Rebirth, created from shell of devel frysk.spec.

* Wed Oct 26  2005 Igor Foox <ifoox@redhat.com> 0.0-1
- Birth.
